package algoritmos;

import ialgoritmos.IFatoracao;

public class TrialDivision implements IFatoracao {
	double numero;

	public TrialDivision(double n){
		this.numero = n;
	}
	public String fatora() {
		String retorno = "";
		retorno = retorno + "-----------------TRIAL----------------"+"</br>";
		
		double inicial = numero;
		for (long menorFator = 2 ; menorFator < numero; menorFator++) {
			if(numero/menorFator % 2 == 0 || numero/menorFator % 2 == 1 )
			{	
				retorno = retorno + menorFator + ", "+ (numero/menorFator) + " é COMPOSTO " + (menorFator) + " ITERAÇÕES"+"</br>";
				break;
			}else if (menorFator>Math.sqrt(inicial)  ){
				retorno = retorno + (long)numero +" é primo! </br>"; 
				break;
			}
			
		}
		retorno = retorno + "--------------------------------------"+"</br>";
		return retorno;
	}

}
